# ZMQContext::setOpt

(PECL zmq >= 1.0.4)

ZMQContext::setOpt — Set a socket option

### Description

public ZMQContext::setOpt ( int `$key` , mixed `$value` ) : ZMQContext

Sets a ZMQ context option. The type of the `value` depends on the `key`. See ZMQ Constant Types for more information.

### Parameters

`key`

  One of the `ZMQ::CTXOPT_*` constants.

`value`

  The value of the parameter.

### Return Values

Returns the current object. Throws ZMQContextException on error.